clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::BackgroundQueue::Task Struct Reference

A work item on the thread pool's queue. More...

`#include <Background.h>`

Collaboration diagram for clang::clangd::BackgroundQueue::Task:
[legend]

## Public Member Functions
| Task (std::function< void()> Run)
bool | operator< (const Task &O) const

## Public Attributes
std::function< void()> | Run
llvm::ThreadPriority | ThreadPri = llvm::ThreadPriority::Background
unsigned | QueuePri = 0
std::string | Tag

## Detailed Description

A work item on the thread pool's queue.

Definition at line 70 of file Background.h.

## Constructor & Destructor Documentation

## ◆ Task()

clang::clangd::BackgroundQueue::Task::Task | ( | std::function< void()> | Run | ) |
| inline explicit

Definition at line 71 of file Background.h.

## Member Function Documentation

## ◆ operator<()

bool clang::clangd::BackgroundQueue::Task::operator< | ( | const Task & | O | ) | const
| inline

Definition at line 78 of file Background.h.

References QueuePri, and Tag.

## Member Data Documentation

## ◆ QueuePri

unsigned clang::clangd::BackgroundQueue::Task::QueuePri = 0

Definition at line 75 of file Background.h.

Referenced by clang::clangd::filenameWithoutExtension(), operator<(), clang::clangd::BackgroundQueue::push(), and clang::clangd::TEST().

## ◆ Run

std::function<void()> clang::clangd::BackgroundQueue::Task::Run

Definition at line 73 of file Background.h.

## ◆ Tag

std::string clang::clangd::BackgroundQueue::Task::Tag

Definition at line 76 of file Background.h.

Referenced by clang::clangd::BackgroundQueue::push().

## ◆ ThreadPri

llvm::ThreadPriority clang::clangd::BackgroundQueue::Task::ThreadPri = llvm::ThreadPriority::Background

Definition at line 74 of file Background.h.

The documentation for this struct was generated from the following file:

- Background.h